import 'package:flutter/material.dart';
import 'package:intl/intl.dart';

class GlobalCounter extends StatelessWidget {
  final double value;

  const GlobalCounter({super.key, required this.value});

  @override
  Widget build(BuildContext context) {
    return Container(
      padding: const EdgeInsets.all(10),
      margin: const EdgeInsets.only(bottom: 10),
      decoration: BoxDecoration(
        borderRadius: BorderRadius.circular(15),
        color: Theme.of(context).colorScheme.primaryContainer,
      ),
      alignment: Alignment.centerRight,
      child: Text(
        NumberFormat('000.00 €', 'fr_FR').format(value),
        style: TextStyle(
          fontFamily: 'NovaMono',
          fontSize: 60,
          fontWeight: FontWeight.w500,
          color: value > 0 ? Theme.of(context).colorScheme.primary : Theme.of(context).colorScheme.error
        ),
      ),
    );
  }
}